/* yearDriver.cpp is a driver program to test function YearName().
 *
 * Input:  none
 * Output: names of years (Freshman, Sophomore, ... )
 ************************************************************/

#include <iostream>              // cout, <<
#include <string>                // string
using namespace std;

string yearName(int yearCode);

int main()
{
   int number;
   cout << "Enter the number of a class year: ";
   cin >> number;
   cout << yearName(number) << endl;
}


/* yearName() returns the name of a year, given a year code.
 *
 * Receive: an int year code (1-5)
 * Return:  the appropriate (string) year name
 *          (Freshman, Sophomore, Junior, Senior, Graduate)
 ************************************************************/

string yearName(int yearCode)
{
   switch (yearCode)
   {
      case 1:
               return "Freshman";
      case 2:
               return "Sophomore";
      case 3:
               return "Junior";
      case 4:
               return "Senior";
      case 5:
               return "Graduate";
      default:
               cerr << "YearName: code error: " << yearCode << endl;
               return "";
   }
}
